PHP Manual
Prev | Chapter 2. Installation | Next

# Complete list of configure options

> Note: These are only used at compile time. If you want to alter PHP's runtime configuration, please see the chapter on Configuration.

The following is a complete list of options supported by the PHP 3 and PHP 4 `configure` scripts, used when compiling in Unix-like environments. Some are available in PHP 3, some in PHP 4, and some in both, as noted. There are many options the names of which have changed between PHP 3 and PHP 4, but which accomplish the same things. These entries are cross-referenced to each other, so if you have a problem getting your PHP 3-era configuration options to work, check here to see whether the names have changed.

- Database

- Ecommerce

- Graphics

- Miscellaneous

- Networking

- PHP Behaviour

- Server

- Text and language

- XML

## Database

`--with-adabas[=DIR]`

  PHP 3, PHP 4: Include Adabas D support. DIR is the Adabas base install directory, defaults to /usr/local.

  Adabas home page

`--enable-dba=shared`

  PHP 3: Option not available in PHP 3

  PHP 4: Build DBA as a shared module

`--enable-dbx`

  PHP 3: Option not available in PHP 3

  PHP 4: Include DBX support

`--enable-dbase`

  PHP 3: Option not available; use --with-dbase instead.

  PHP 4: Enable the bundled dbase library. No external libraries are required.

`--with-dbase`

  PHP 3: Include the bundled dbase library. No external libraries are required.

  PHP 4: Option not available; use --enable-dbase instead.

`--with-db2[=DIR]`

  PHP 3, PHP 4: Include Berkeley DB2 support

`--with-db3[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include Berkeley DB3 support

`--with-dbm[=DIR]`

  PHP 3, PHP 4: Include DBM support

`--with-dbmaker[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include DBMaker support. DIR is the DBMaker base install directory, defaults to where the latest version of DBMaker is installed (such as /home/dbmaker/3.6).

`--with-empress[=DIR]`

  PHP 3, PHP 4: Include Empress support. DIR is the Empress base install directory, defaults to $EMPRESSPATH

`--enable-filepro`

  PHP 3: Option not available; use --with-filepro instead.

  PHP 4: Enable the bundled read-only filePro support. No external libraries are required.

`--with-filepro`

  PHP 3: Include the bundled read-only filePro support. No external libraries are required.

  PHP 4: Option not available; use --enable-filepro instead.

`--with-fbsql[=DIR]`

  PHP 3: Option not available.

  PHP 4: Include FrontBase SQL support. DIR is the FrontBase base install directory, defaults to usual Frontbase install dir. Usual install dirs depends on your OS : Solaris: `/opt/FrontBase`, WinNT: `\usr\FrontBase`, Linux: `/usr/frontbase`, Mac OSX: `/Library/FrontBase`.

`--with-gdbm[=DIR]`

  PHP 3, PHP 4: Include GDBM support

`--with-hyperwave`

  PHP 3, PHP 4: Include Hyperwave support

`--with-ibm-db2[=DIR]`

  PHP 3, PHP 4: Include IBM DB2 support. DIR is the DB2 base install directory, defaults to `/home/db2inst1/sqllib`.

  IBM DB2 home page

`--with-informix[=DIR]`

  PHP 3, PHP 4: Include Informix support. DIR is the Informix base install directory, defaults to nothing.

`--with-ingres[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include Ingres II support. DIR is the Ingres base directory (default /II/ingres)

`--with-interbase[=DIR]`

  PHP 3, PHP 4: Include InterBase support. DIR is the InterBase base install directory, which defaults to `/usr/interbase`.

  Interbase functions

  Interbase home page

`--with-ldap[=DIR]`

  PHP 3: Include LDAP support. DIR is the LDAP base install directory. Defaults to `/usr` and `/usr/local`

  PHP 4: Include LDAP support. DIR is the LDAP base install directory.

  This provides LDAP (Lightweight Directory Access Protocol support). The parameter is the LDAP base install directory, defaults to `/usr/local/ldap`.

  More information about LDAP can be found in RFC1777 and RFC1778.

`--with-msql[=DIR]`

  PHP 3, PHP 4: Enables mSQL support. The parameter to this option is the mSQL install directory and defaults to `/usr/local/Hughes`. This is the default directory of the mSQL 2.0 distribution. configure automatically detects which mSQL version you are running and PHP supports both 1.0 and 2.0, but if you compile PHP with mSQL 1.0, you can only access mSQL 1.0 databases, and vice-versa.

  See also mSQL Configuration Directives in the configuration file.

  mSQL home page

`--with-mysql[=DIR]`

  PHP 3: Include MySQL support. DIR is the MySQL base install directory, defaults to searching through a number of common places for the MySQL files.

  PHP 4: Include MySQL support. DIR is the MySQL base directory. If unspecified, the bundled MySQL library will be used. This option is turned on by default.

  See also MySQL Configuration Directives in the configuration file.

  MySQL home page

`--with-ndbm[=DIR]`

  PHP 3, PHP 4: Include NDBM support

`--with-ovrimos`

  PHP 3, PHP 4: Include Ovrimos support.

`--with-oci8[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include Oracle-oci8 support. Default DIR is ORACLE_HOME.

`--with-oracle[=DIR]`

  PHP 3: Include Oracle database support. DIR is Oracle's home directory, defaults to $ORACLE_HOME.

  PHP 4: Include Oracle-oci7 support. Default DIR is ORACLE_HOME.

  Includes Oracle support. Has been tested and should be working at least with Oracle versions 7.0 through 7.3. The parameter is the `ORACLE_HOME` directory. You do not have to specify this parameter if your Oracle environment has been set up.

  Oracle home page

`--with-pgsql[=DIR]`

  PHP 3: Include PostgresSQL support. DIR is the PostgresSQL base install directory, which defaults to `/usr/local/pgsql`.

  PHP 4: Include PostgreSQL support. DIR is the PostgreSQL base install directory, which defaults to `/usr/local/pgsql`. Set DIR to shared to build as a dl, or shared,DIR to build as a dl and still specify DIR.

  See also Postgres Configuration Directives in the configuration file.

  PostgreSQL home page

`--with-solid[=DIR]`

  PHP 3, PHP 4: Include Solid support. DIR is the Solid base install directory, defaults to /usr/local/solid

  Solid home page

`--with-sybase-ct[=DIR]`

  PHP 3, PHP 4: Include Sybase-CT support. DIR is the Sybase home directory, defaults to /home/sybase.

  See also Sybase-CT Configuration Directives in the configuration file.

`--with-sybase[=DIR]`

  PHP 3, PHP 4: Include Sybase-DB support. DIR is the Sybase home directory, which defaults to `/home/sybase`.

  See also Sybase Configuration Directives in the configuration file.

  Sybase home page

`--with-openlink[=DIR]`

  PHP 3, PHP 4: Include OpenLink ODBC support. DIR is the OpenLink base install directory, defaults to /usr/local/openlink. As of PHP 4.0.6 this configure option is no longer valid. Please use the `--with-iodbc` if you wish to use OpenLink Software's ODBC system.

  OpenLink Software's home page

`--with-iodbc[=DIR]`

  PHP 3, PHP 4: Include iODBC support. DIR is the iODBC base install directory, defaults to `/usr/local`.

  This feature was first developed for iODBC Driver Manager, a freely redistributable ODBC driver manager which runs under many flavors of UNIX.

  FreeODBC home page or iODBC home page

`--with-custom-odbc[=DIR]`

  PHP 3, PHP 4: Includes support for an arbitrary custom ODBC library. The parameter is the base directory and defaults to `/usr/local`.

  This option implies that you have defined CUSTOM_ODBC_LIBS when you run the configure script. You also must have a valid odbc.h header somewhere in your include path. If you don't have one, create it and include your specific header from there. Your header may also require some extra definitions, particularly when it is multiplatform. Define them in CFLAGS.

  For example, you can use Sybase SQL Anywhere on QNX as following: `CFLAGS=-DODBC_QNX LDFLAGS=-lunix CUSTOM_ODBC_LIBS="-ldblib -lodbc" ./configure --with-custom-odbc=/usr/lib/sqlany50`

`--disable-unified-odbc`

  PHP 3: Disable unified ODBC support. Only applicable if iODBC, Adabas, Solid, Velocis or a custom ODBC interface is enabled.

  PHP 4: Option not available in PHP 4

  The Unified ODBC module, which is a common interface to all the databases with ODBC-based interfaces, such as Solid, IBM DB2 and Adabas D. It also works for normal ODBC libraries. Has been tested with iODBC, Solid, Adabas D, IBM DB2 and Sybase SQL Anywhere. Requires that one (and only one) of these extensions or the Velocis extension is enabled, or a custom ODBC library specified. This option is only applicable if one of the following options is used: --with-iodbc, --with-solid, --with-ibm-db2, --with-adabas, --with-velocis, or --with-custom-odbc.

  See also Unified ODBC Configuration Directives in the configuration file.

`--with-unixODBC[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include unixODBC support. DIR is the unixODBC base install directory, defaults to /usr/local.

`--with-velocis[=DIR]`

  PHP 3, PHP 4: Include Velocis support. DIR is the Velocis base install directory, defaults to /usr/local/velocis.

  Velocis home page

## Ecommerce

`--with-ccvs[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Compile CCVS support into PHP 4. Please specify your CCVS base install directory as DIR.

`--with-cybermut[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include Cybermut support into PHP 4. DIR is the Cybermut SDK directory, which contains both `libcm-mac.a` and `cm-mac.h`.

`--with-mck[=DIR]`

  PHP 3: Include Cybercash MCK support. DIR is the cybercash mck build directory, which defaults to `/usr/src/mck-3.2.0.3-linux`. For help, look in `extra/cyberlib`.

  PHP 4: Option not available; use --with-cybercash instead.

`--with-cybercash[=DIR]`

  PHP 3: Option not available; use --with-mck instead.

  PHP 4: Include CyberCash support. DIR is the CyberCash MCK install directory.

`--with-pfpro[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include Verisign Payflow Pro support

## Graphics

`--enable-freetype-4bit-antialias-hack`

  PHP 3: Option not available in PHP 3

  PHP 4: Include support for FreeType2 (experimental).

`--with-gd[=DIR]`

  PHP 3: Include GD support (DIR is GD's install dir).

  PHP 4: Include GD support (DIR is GD's install dir). Set DIR to shared to build as a dl, or shared,DIR to build as a dl and still specify DIR.

`--without-gd`

  PHP 3, PHP 4: Disable GD support.

`--with-imagick[=DIR]`

  PHP 3: Include ImageMagick support. DIR is the install directory, and if left out, PHP will try to find it on its own. [experimental]

  PHP 4: Option not available in PHP 4

`--with-jpeg-dir[=DIR]`

  PHP 3: jpeg dir for pdflib 2.0

  PHP 4: jpeg dir for pdflib 3.x and 4.x

`--with-png-dir[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: png dir for pdflib 3.x and 4.x

`--enable-t1lib`

  PHP 3: Enable t1lib support.

  PHP 4: Option not available; use --with-t1lib instead.

`--with-t1lib[=DIR]`

  PHP 3: Option not available; use --enable-t1lib instead.

  PHP 4: Include T1lib support.

`--with-tiff-dir[=DIR]`

  PHP 3: tiff dir for pdflib 2.0

  PHP 4: tiff dir for pdflib 3.x and 4.x

`--with-ttf[=DIR]`

  PHP 3, PHP 4: Include FreeType support

`--with-xpm-dir[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: xpm dir for gd-1.8+

## Miscellaneous

These are being classified over time, where appropriate.

`--with-gmp`

  PHP 3, PHP 4 : Include GMP support.

`--disable-bcmath`

  PHP 3: Compile without BC arbitrary precision math functions. These functions allow you to operate with numbers outside of the ranges allowed by regular integers and floats; see BCMath Arbitrary Precision Mathematics Functions for more information.

  PHP 4: Option not available; bcmath is not compiled in by default. Use --enable-bcmath to compile it in.

`--disable-display-source`

  PHP 3: Compile without displaying source support

  PHP 4: Option not available in PHP 4

`--disable-libtool-lock`

  PHP 3: Option not available in PHP 3

  PHP 4: avoid locking (might break parallel builds)

`--disable-pear`

  PHP 3: Option not available in PHP 3

  PHP 4: Do not install PEAR

`--disable-pic`

  PHP 3: Option not available in PHP 3

  PHP 4: Disable PIC for shared objects

`--disable-posix`

  PHP 3: Option not available in PHP 3; use --without-posix instead.

  PHP 4: Disable POSIX-like functions

`--enable-pcntl`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable process control functions. (fork, waitpid, signal, et. al.)

`--disable-rpath`

  PHP 3: Option not available in PHP 3

  PHP 4: Disable passing additional runtime library search paths

`--disable-session`

  PHP 3: Option not available in PHP 3

  PHP 4: Disable session support

`--enable-bcmath`

  PHP 3: Option not available in PHP 3; bcmath is compiled in by default. Use --disable-bcmath to disable it.

  PHP 4: Compile with bc style precision math functions. Read README-BCMATH for instructions on how to get this module installed. These functions allow you to operate with numbers outside of the ranges allowed by regular integers and floats; see BCMath Arbitrary Precision Mathematics Functions for more information.

`--enable-c9x-inline`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable C9x-inline semantics

`--enable-calendar`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable support for calendar conversion

`--enable-debug`

  PHP 3, PHP 4: Compile with debugging symbols.

`--enable-debugger`

  PHP 3: Compile with remote debugging functions

  PHP 4: Option not available in PHP 4

`--enable-discard-path`

  PHP 3, PHP 4: If this is enabled, the PHP CGI binary can safely be placed outside of the web tree and people will not be able to circumvent .htaccess security.

`--enable-dmalloc`

  PHP 3, PHP 4: Enable dmalloc

`--enable-exif`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable exif support

`--enable-experimental-zts`

  PHP 3: Option not available in PHP 3

  PHP 4: This will most likely break your build

`--enable-fast-install[=PKGS]`

  PHP 3: Option not available in PHP 3

  PHP 4: optimize for fast installation [default=yes]

`--enable-force-cgi-redirect`

  PHP 3, PHP 4: Enable the security check for internal server redirects. You should use this if you are running the CGI version with Apache.

`--enable-inline-optimization`

  PHP 3: Option not available in PHP 3

  PHP 4: If you have much memory and are using gcc, you might try this.

`--enable-libgcc`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable explicitly linking against libgcc

`--enable-maintainer-mode`

  PHP 3, PHP 4: enable make rules and dependencies not useful (and sometimes confusing) to the casual installer

`--enable-mbstr-enc-trans`

  PHP 4: enable http input character automatic detection and translation for multi-byte character encodings.

  Warning
  This switch is only available for PHP 4.0.6 or higher.

`--enable-mbstring`

  PHP 4: enable multi-byte character encoding related functions.

  Warning
  This switch is only available for PHP 4.0.6 or higher.

`--enable-memory-limit`

  PHP 3, PHP 4: Compile with memory limit support. [default=no]

`--enable-safe-mode`

  PHP 3, PHP 4: Enable safe mode by default.

`--enable-satellite`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable CORBA support via Satellite (Requires ORBit)

`--enable-shared[=PKGS]`

  PHP 3: Option not available in PHP 3

  PHP 4: build shared libraries [default=yes]

`--enable-sigchild`

  PHP 3, PHP 4: Enable PHP's own SIGCHLD handler.

`--enable-static[=PKGS]`

  PHP 3: Option not available in PHP 3

  PHP 4: build static libraries [default=yes]

`--enable-sysvsem`

  PHP 3, PHP 4: Enable System V semaphore support.

`--enable-sysvshm`

  PHP 3, PHP 4: Enable the System V shared memory support

`--enable-trans-sid`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable transparent session id propagation

`--with-cdb[=DIR]`

  PHP 3, PHP 4: Include CDB support

`--with-config-file-path=PATH`

  PHP 3: Sets the path in which to look for php3.ini. Defaults to `/usr/local/lib`

  PHP 4: Sets the path in which to look for `php.ini`. Defaults to `/usr/local/lib`

`--with-cpdflib[=DIR]`

  PHP 3: Include ClibPDF support. DIR is the ClibPDF install directory, defaults to /usr/local.

  PHP 4: Include cpdflib support (requires cpdflib >= 2). DIR is the cpdfllib install directory, defaults to /usr.

`--with-esoob[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include Easysoft OOB support. DIR is the OOB base install directory, defaults to /usr/local/easysoft/oob/client.

`--with-exec-dir[=DIR]`

  PHP 3, PHP 4: Only allow executables in DIR when in safe mode defaults to /usr/local/php/bin

`--with-fdftk[=DIR]`

  PHP 3, PHP 4: Include fdftk support. DIR is the fdftk install directory, defaults to /usr/local.

`--with-gnu-ld`

  PHP 3: Option not available in PHP 3

  PHP 4: assume the C compiler uses GNU ld [default=no]

`--with-icap[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include ICAP support.

`--with-imap[=DIR]`

  PHP 3, PHP 4: Include IMAP support. DIR is the IMAP include and c-client.a directory.

`--with-imsp[=DIR]`

  PHP 3: Include IMSP support (DIR is IMSP's include dir and libimsp.a dir).

  PHP 4: Option not available in PHP 4

`--with-java[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include Java support. DIR is the base install directory for the JDK. This extension can only be built as a shared dl.

`--with-kerberos[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include Kerberos support in IMAP.

`--with-mcal[=DIR]`

  PHP 3, PHP 4: Include MCAL support.

`--with-mcrypt[=DIR]`

  PHP 3, PHP 4: Include mcrypt support. DIR is the mcrypt install directory.

`--with-mhash[=DIR]`

  PHP 3, PHP 4: Include mhash support. DIR is the mhash install directory.

`--with-mm[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include mm support for session storage

`--with-mod_charset`

  PHP 3, PHP 4: Enable transfer tables for mod_charset (Rus Apache).

`--with-pdflib[=DIR]`

  PHP 3: Include pdflib support (tested with 0.6 and 2.0). DIR is the pdflib install directory, which defaults to `/usr/local`.

  PHP 4: Include pdflib 3.x/4.x support. DIR is the pdflib install location, which defaults to `/usr/local`.

  PHP 4 and PDFlib 3.x/4.x require that you have the JPEG and TIFF libraries available. When compiling PDFlib support, use the --with-jpeg-dir and --with-tiff-dir configure options. You may wish to additionally specify the --with-png-dir and --with-zlib-dir configure options to compile PNG and Zlib support into the PDFlib extension.

`--enable-shared-pdflib`

  PHP 3, PHP 4: Activate pdflib as shared library.

`--with-readline[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include readline support. DIR is the readline install directory.

`--with-regex=TYPE`

  PHP 3: Option not available in PHP 3

  PHP 4: regex library type: system, apache, php

`--with-servlet[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include servlet support. DIR is the base install directory for the JSDK. This SAPI requires that the Java extension be built as a shared dl.

`--with-ming`

  PHP 3: Option not available in PHP 3

  PHP 4: Include Flash 4 support, with Ming

`--with-swf[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include swf support

`--with-system-regex`

  PHP 3: Do not use the bundled regex library

  PHP 4: (deprecated) Use system regex library

`--with-tsrm-pth[=pth-config]`

  PHP 3: Option not available in PHP 3

  PHP 4: Use GNU Pth.

`--with-tsrm-pthreads`

  PHP 3: Option not available in PHP 3

  PHP 4: Use POSIX threads (default)

`--with-x`

  PHP 3: use the X Window System

  PHP 4: Option not available in PHP 4

`--with-bz2[=DIR]`

  PHP 4: Include support bzip2. DIR is the bzip2 install dir.

`--with-zlib-dir[=DIR]`

  PHP 3: zlib dir for pdflib 2.0 or include zlib support

  PHP 4: zlib dir for pdflib 3.x/4.x or include zlib support

`--with-zlib[=DIR]`

  PHP 3, PHP 4: Include zlib support (requires zlib >= 1.0.9). DIR is the zlib install directory, defaults to /usr.

`--with-zip[=DIR]`

  PHP 4: Include zip support (requires zziplib >= 0.10.6). DIR is the zziplib install directory, defaults to /usr/local.

  The latest version of zziplib can be found at http://zziplib.sourceforge.net/.

`--without-pcre-regex`

  PHP 3: Don't include Perl Compatible Regular Expressions support

  PHP 4: Do not include Perl Compatible Regular Expressions support. Use --with-pcre-regex=DIR to specify DIR where PCRE's include and library files are located, if not using bundled library.

`--without-posix`

  PHP 3: Don't include POSIX functions

  PHP 4: Option not available in PHP 4; use --disable-posix instead.

`--enable-overload`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable object property and method call overloading support.

## Networking

`--with-curl[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include CURL support

`--enable-ftp`

  PHP 3: Option not available; use --with-ftp instead.

  PHP 4: Enable FTP support

`--with-ftp`

  PHP 3: Include FTP support.

  PHP 4: Option not available; use --enable-ftp instead

`--disable-url-fopen-wrapper`

  PHP 3, PHP 4: Disable the URL-aware fopen wrapper that allows accessing files via http or ftp.

  Warning
  This switch is only available for PHP versions up to 4.0.3, newer versions provide an INI parameter called `allow_url_fopen` instead of forcing you to decide upon this feature at compile time.

`--with-mod-dav=DIR`

  PHP 3, PHP 4: Include DAV support through Apache's mod_dav, DIR is mod_dav's installation directory (Apache module version only!)

`--with-openssl[=DIR]`

  PHP 3, PHP 4: Include OpenSSL support in SNMP.

`--with-snmp[=DIR]`

  PHP 3, PHP 4: Include SNMP support. DIR is the SNMP base install directory, defaults to searching through a number of common locations for the snmp install. Set DIR to shared to build as a dl, or shared,DIR to build as a dl and still specify DIR.

`--enable-ucd-snmp-hack`

  PHP 3, PHP 4: Enable UCD SNMP hack

`--enable-sockets`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable sockets support

`--with-yaz[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include YAZ support (ANSI/NISO Z39.50). DIR is the YAZ bin install directory

`--enable-yp`

  PHP 3: Option not available; use --with-yp instead.

  PHP 4: Include YP support

`--with-yp`

  PHP 3: Include YP support

  PHP 4: Option not available; use --enable-yp instead.

`--with-mnogosearch`

  PHP 3, PHP 4: Include mnoGoSearch support.

## PHP Behaviour

`--enable-magic-quotes`

  PHP 3, PHP 4: Enable magic quotes by default.

`--disable-short-tags`

  PHP 3, PHP 4: Disable the short-form <? start tag by default.

`--enable-track-vars`

  PHP 3: Enable GET/POST/Cookie track variables by default.

  PHP 4: Option not available in PHP 4; as of PHP 4.0.2, track_vars is always on.

## Server

`--with-aolserver-src=DIR`

  PHP 3: Option not available in PHP 3

  PHP 4: Specify path to the source distribution of AOLserver

`--with-aolserver=DIR`

  PHP 3: Option not available in PHP 3

  PHP 4: Specify path to the installed AOLserver

`--with-apache[=DIR]`

  PHP 3, PHP 4: Build Apache module. DIR is the top-level Apache build directory, defaults to /usr/local/etc/httpd.

`--with-apxs[=FILE]`

  PHP 3, PHP 4: Build shared Apache module. FILE is the optional pathname to the Apache apxs tool; defaults to apxs.

`--enable-versioning`

  PHP 3: Take advantage of versioning and scoping Provided by Solaris 2.x and Linux

  PHP 4: Export only required symbols. See INSTALL for more information

`--with-caudium[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Build PHP as a Pike module for use with the Caudium webserver. DIR is the Caudium base directory. If no directory is specified $prefix/caudium/server is used. The prefix is controlled by the --prefix option and is /usr/local per default.

`--with-fhttpd[=DIR]`

  PHP 3, PHP 4: Build fhttpd module. DIR is the fhttpd sources directory, defaults to /usr/local/src/fhttpd.

`--with-nsapi=DIR`

  PHP 3: Option not available in PHP 3

  PHP 4: Specify path to the installed Netscape

`--with-phttpd=DIR`

  PHP 3: Option not available in PHP 3

  PHP 4:

`--with-pi3web=DIR`

  PHP 3: Option not available in PHP 3

  PHP 4: Build PHP as a module for use with Pi3Web.

`--with-roxen=DIR`

  PHP 3: Option not available in PHP 3

  PHP 4: Build PHP as a Pike module. DIR is the base Roxen directory, normally /usr/local/roxen/server.

`--enable-roxen-zts`

  PHP 3: Option not available in PHP 3

  PHP 4: Build the Roxen module using Zend Thread Safety.

`--with-thttpd=SRCDIR`

  PHP 3: Option not available in PHP 3

  PHP 4:

`--with-zeus=DIR`

  PHP 3: Option not available in PHP 3

  PHP 4: Build PHP as an ISAPI module for use with Zeus.

## Text and language

`--with-aspell[=DIR]`

  PHP 3, PHP 4: Include ASPELL support.

`--with-gettext[=DIR]`

  PHP 3, PHP 4: Include GNU gettext support. DIR is the gettext install directory, defaults to /usr/local

`--with-iconv[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include iconv support.

`--with-pspell[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include PSPELL support.

`--with-recode[=DIR]`

  PHP 3: Include GNU recode support.

  PHP 4: Include recode support. DIR is the recode install directory.

`--enable-shmop`

  PHP 3, PHP 4 : Activate shmop support.

## XML

`--with-dom[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include DOM support (requires libxml >= 2.0). DIR is the libxml install directory, defaults to `/usr`

`--enable-sablot-errors-descriptive`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable Descriptive errors

`--with-sablot[=DIR]`

  PHP 3: Option not available in PHP 3

  PHP 4: Include Sablotron support

`--enable-wddx`

  PHP 3: Option not available in PHP 3

  PHP 4: Enable WDDX support

`--disable-xml`

  PHP 3: Option not available in PHP 3; XML functionality is not built in by default. Use --with-xml to turn it on.

  PHP 4: Disable XML support using bundled expat lib

`--with-xml`

  PHP 3: Include XML support

  PHP 4: Option not available; XML support is built in by default. Use --disable-xml to turn it off.

Prev | Home | Next
Unix/Mac OS X installs | Up | Installation on Windows systems